aboutsummaryrefslogtreecommitdiff
path: root/test/git-lfs/autoPullDisabled.sh
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2023-04-04 16:47:04 +0300
committerGitHub <noreply@github.com>2023-04-04 16:47:04 +0300
commit2952d87f1db5681330db025e17ab4357a1bdc275 (patch)
tree5995fa11175a7ef1b49c497d400e4d6aa39034d4 /test/git-lfs/autoPullDisabled.sh
parent1118b992d970b53d92b3379a5b05de7738f3dc8b (diff)
add a postCreateCommand to `git-lfs` Feature (#511)feature_git-lfs_1.1.0
* add a postCreateCommand to git-lfs Feature * debug passing locally but not in CI * update scenario * add GIT_LFS_SKIP_SMUDGE=1 to prevent fetching lfs arifacts in github actions * arguments should be booleans * move example repo to devcontainers org * place script literally anywhere other than /tmp
Diffstat (limited to 'test/git-lfs/autoPullDisabled.sh')
-rw-r--r--test/git-lfs/autoPullDisabled.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/git-lfs/autoPullDisabled.sh b/test/git-lfs/autoPullDisabled.sh
new file mode 100644
index 0000000..787781c
--- /dev/null
+++ b/test/git-lfs/autoPullDisabled.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "target file exists" cat big-file-1.txt
+check "lfs file has not been expanded" cat "big-file-1.txt" | grep "git-lfs\.github\.com"
+
+reportResults \ No newline at end of file